import math as m

p = 6

r_rot = 18.3 + (35.1 / 2)
print(f"El diámetro del rotor + imán es {2 * r_rot + 5} mm")
l_PM = 15.1

mechDeg = 26

ang = m.atan((l_PM/2) / r_rot)
ang = 2 * round(m.degrees(ang))

ED_meas = p * mechDeg
ED_calc = p * ang

print(f"El ángulo mecánico medido es igual a {mechDeg}º, mientras que el calculado es igual a {ang}º.")
print(f"El ángulo eléctrico medido es igual a {ED_meas}º, mientras que el calculado es igual a {ED_calc}º.")